Subject: Multicast Listener Discovery Report and DAD/Autoconfiguration

From: Grubmair Peter <[email-masked]>
Date: Thu, 12 Aug 2004 12:50:55 +0200

For Duplicate address dedection RFC2462,
a node must join the solicitated-node-multicast
address before Duplicate Address dedection.
For verifying link-local address, this will mean, that
only a tentative link-local address is available.
I would like to know, which source address shall
be used in MLD Report, as RFC2710 requires a link-local
address, but the link-local address is in state tentative and
must not be used. Is the unspecified address considered to be link-local ?
Thanks in advance
   Peter

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Brian Haberman <[email-masked]>
Date: Thu, 12 Aug 2004 07:22:51 -0400

> must not be used. Is the unspecified address considered to be link-local ?

If you are worried about MVDv1 (RFC 2710), then the answer is in RFC
3590.  A more useful approach is to implement MLDv2 (RFC 3810).

Regards,
Brian

---

From: "Gerrit van Niekerk" <[email-masked]>
Date: Thu, 12 Aug 2004 13:37:58 +0200

This bothered me as well, but I reasoned that it is in order to use 
the tentative link-local address. Even if there is a duplicate 
address, no harm will be done.

Gerrit

> must not be used. Is the unspecified address considered to be link-local ?

===============================================
Gerrit van Niekerk
GP van Niekerk Ondernemings BK
Roosstraat 211, Meyerspark, 0184, South Africa
Tel: +27(12)8036501 Fax: +27(12)8034131
Email: [email-masked], [email-masked]
Web: http://www.gpvno.co.za
===============================================